Skip to main content

Update Unit: Propertyware

PUThttps://api.propexo.com/v1/units/propertyware/:unit_id
Method
updateUnit

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

unit_id stringrequired

The Propexo unique identifier for the unit

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    categorystringrequired

    The category of the unit.

    Show 2 enum values
    ResidentialCommercial
    typestringrequired

    The type of the unit.

    Show 2 enum values
    ApartmentHouse
    namestringrequired

    The name of the unit. Example: "Unit 3".

    abbreviationstringrequired

    The abbreviation of the unit. Example: "UNIT3"

    address_1stringrequired

    The first address line of the unit.

    address_2string

    The second address line of the unit.

    citystring

    The city of the unit.

    statestring

    The state of the unit.

    zipstring

    The zip code of the unit.

    countrystring

    The country of the unit.

    notesstring

    Notes about the unit.

    bathroomsstring | nullnullable

    The number of bathrooms in the unit.

    bedroomsstring | nullnullable

    The number of bedrooms in the unit.

    rent_amount_market_in_centsnumber

    The market rent cost of the unit, in cents.

    square_feetnumber

    The size of the unit in square feet.

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstringrequired

    The Propexo unique identifier for the unit

    categorystringrequired

    The category of the unit.

    Show 2 enum values
    ResidentialCommercial
    typestringrequired

    The type of the unit.

    Show 2 enum values
    ApartmentHouse
    namestringrequired

    The name of the unit. Example: "Unit 3".

    abbreviationstringrequired

    The abbreviation of the unit. Example: "UNIT3"

    address_1stringrequired

    The first address line of the unit.

    address_2string

    The second address line of the unit.

    citystring

    The city of the unit.

    statestring

    The state of the unit.

    zipstring

    The zip code of the unit.

    countrystring

    The country of the unit.

    notesstring

    Notes about the unit.

    bathroomsstring | nullnullable

    The number of bathrooms in the unit.

    bedroomsstring | nullnullable

    The number of bedrooms in the unit.

    rent_amount_market_in_centsnumber

    The market rent cost of the unit, in cents.

    square_feetnumber

    The size of the unit in square feet.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/units/propertyware/:unit_id
curl -X PUT https://api.propexo.com/v1/units/propertyware/:unit_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"category": "Residential",
"type": "Apartment",
"name": "string",
"abbreviation": "string",
"address_1": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"category": "Residential",
"type": "Apartment",
"name": "string",
"abbreviation": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"bathrooms": "string",
"bedrooms": "string",
"rent_amount_market_in_cents": 0,
"square_feet": 0
}
}